package com.ekexiu.portal.dao;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.List;

import org.jfw.apt.annotation.Nullable;
import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.From;
import org.jfw.apt.orm.annotation.dao.method.operator.DeleteWith;
import org.jfw.apt.orm.annotation.dao.method.operator.Insert;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectList;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectOne;
import org.jfw.apt.orm.annotation.dao.method.operator.Update;

import com.ekexiu.portal.po.Assess;

@DAO
public interface AssessDao {
	@Insert
	public int insert(Connection con, Assess assess) throws SQLException;
	
	@Update
	public int update(Connection con, Assess assess) throws SQLException;
	
	@SelectOne
	@Nullable
	public Assess query(Connection con, String assessId) throws SQLException;
	
	@SelectList
	public List<Assess> query(Connection con) throws SQLException;
	
	@SelectList
	public List<Assess> queryOper(Connection con, String operationId) throws SQLException;
	
	@SelectList
	public List<Assess> queryRes(Connection con, String resourceId) throws SQLException;
	
	@SelectList
	public List<Assess> queryPro(Connection con, String professorId) throws SQLException;
	
	@DeleteWith
	@From(Assess.class)
	public int delete(Connection con, String assessId) throws SQLException;
	
	@DeleteWith
	@From(Assess.class)
	public int deleteRes(Connection con, String resourceId) throws SQLException;
	
	@DeleteWith
	@From(Assess.class)
	public int deletePro(Connection con, String professorId) throws SQLException;
	
}
